package com.persagy.dc.define.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dc.common.model.entity.AuditableEntity;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 图例定义
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@TableName("dt_define_graph")
public class GraphDefine extends AuditableEntity {
    /** 编码 */
    @NotNull(message = "编码不允许为空")
    @Length(max = 40)
    private String code;
    /** 名称 */
    @NotNull(message = "名称不允许为空")
    @Length(max = 200)
    private String name;
    /** 项目ID */
    private String projectId;
    /** 一级分类 */
    private String firstTag;
    /** 二级分类 */
    private String secondTag;
    /** 分类说明 */
    private String remark;
    /** 关系两侧对象类别 */
    private String objectTypes;
}
