package com.persagy.dc.define.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.persagy.dc.common.model.entity.AuditableEntity;
import lombok.Data;

/**
 * 信息点定义
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@TableName("dt_define_info")
public class ObjectInfo extends AuditableEntity {
    /** 项目ID */
    private String projectId;
    /** 信息点编码 */
    private String code;
    /** 信息点名称 */
    private String name;
    /** 别名编码 */
    private String aliasCode;
    /** 别名名称 */
    private String aliasName;
    /** 类型编码 */
    private String classCode;
    /** 信息点分类:STATIC-静态,PULSE-脉冲,GRADATION-阶段,SEQUENTIAL-时序 */
    private String category;
    /** 管理层级:common-平台级,group-集团级,project-项目级 */
///    private String type;
    /** 一级标签 */
    private String firstTag;
    /** 二级标签 */
    private String secondTag;
    /** 优先级 */
    private String priority;
    /** 输入方式 */
    private String inputMode;
    /** 单位 */
    private String unit;
    /** 数据类型 */
    private String dataType;
    /** 复数标识 */
    private Boolean multipleFlag = false;
    /** 区间标识 */
    private Boolean regionFlag = false;
    /** 数据格式 */
    private String formatter;
    /** 取值范围 */
    private ArrayNode dataSource;
    /** 备注 */
    private String remark;
    /** 子分类标记 */
    private Boolean subFlag;
    /** 虚点 */
    private Boolean weakPoint;
    /** 显示顺序 */
    private Long showOrder;
    /** 版本 */
    private String version;
}
