-- 数据迁移
-- 对象类型定义表，仅同步了标准表，集团表太多
replace into `dc_dic`.`dt_define_type`(`id`,`code`,`name`,`alias_code`,
  `alias_name`,`obj_type`,`group_code`,`project_id`,`major_code`,
  `system_code`,`equipment_code`,`parent_code`,`version`,`creator`,
  `creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`code`,`name`,`alias_code`,
  `alias_name`,`obj_type`,`group_code`,`project_id`,`major_code`,
  `system_code`,`equipment_code`,`parent_code`,null,'0',
  date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_def_class`;

-- 信息点，仅同步了标准表，集团表太多
replace into `dc_dic`.`dt_define_info`(`id`,`code`,`name`,`alias_code`,
  `alias_name`,`class_code`,`group_code`,`project_id`,`category`,
  `first_tag`,`second_tag`,`priority`,`input_mode`,`unit`,`data_type`,
  `multiple_flag`,`region_flag`,`formatter`,`data_source`,`remark`,
  `sub_flag`,`weak_point`,`show_order`,`version`,
  `creator`,`creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`code`,`name`,`alias_code`,
  `alias_name`,`class_code`,`group_code`,`project_id`,`category`,
  `first_tag`,`second_tag`,`priority`,`input_mode`,`unit`,`data_type`,
  `is_multiple`,`is_region`,`formater`,`data_source`,`note`,
  `sub_flag`,`weak_point`,null,null,
  '0',date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_def_funcid`;

-- 图类型定义
replace into `dc_dic`.`dt_define_graph`(`id`,`code`,`name`,`first_category`,
  `second_category`,`remark`,`object_types`,
  `creator`,`creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`code`,`name`,`first_category`,
  `second_category`,`category_remark`,`object_types`,
  '0',date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_def_graph`;

-- 关系定义
replace into `dc_dic`.`dt_define_rel`(`id`,`code`,`name`,`graph_code`,
  `directional`,`attribute`,`target_objs`,`remark`,
  `creator`,`creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`code`,`name`,`graph_code`,
  `directional`,`attribute`,`target_objs`,`remark`,
  '0',date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_def_rel`;

-- 对象
replace into `dc_dic`.`dt_object`(`id`,`name`,`local_id`,
  `local_name`,`group_code`,`project_id`,`obj_type`,`class_code`,
  `grouping`,`infos`,`virtual_codes`,`create_app`,`update_app`,
  `creator`,`creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`name`,`local_id`,
  `local_name`,`group_code`,`project_id`,`obj_type`,`class_code`,
  `grouping`,`infos`,`virtual_info_codes`,`create_app`,`update_app`,
  '0',date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_object`;

-- 关系
replace into `dc_dic`.`dt_relation`(`id`,`graph_id`,`graph_code`,
  `rel_code`,`rel_value`,`group_code`,`project_id`,`obj_from`,`obj_to`,
  `create_app`,`update_app`,
  `creator`,`creation_time`,`modifier`,`modified_time`,`valid`)
SELECT `id`,`graph_id`,`graph_code`,
  `rel_code`,`rel_value`,`group_code`,`project_id`,`obj_from`,`obj_to`,
  `create_app`,`update_app`,
  '0',date_format(now(), '%Y%m%d%h%i%s'),null,null,1
FROM `dmp_rwd`.`rwd_relation`;