package com.persagy.dc.dic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dc.common.lang.PsDateTime;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 字典数据
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dic_dt_data")
public class DictData implements Serializable {
	private static final long serialVersionUID = 1469402428094643376L;

	/**
	 * 主键ID
	 */
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private String id;

	/**
	 * 字典类型ID
	 */
	@TableId(value = "dict_type_id")
	private String dictTypeId;

	/**
	 * 父节点
	 */
	@TableId(value = "parent_id")
	private String parentCode;

	/**
	 * 字典类型
	 */
	@TableId(value = "type")
	private String type;

	/**
	 * 字典数据编码
	 */
	@TableId(value = "code")
	private String code;

	/**
	 * 字典数据标签
	 */
	@TableId(value = "label")
	private String label;

	/**
	 * 状态 0：停用，1：正常
	 */
	@TableId(value = "status")
	private String status;

	/**
	 *  创建时间
	 */
	@TableId(value = "create_time")
	private PsDateTime createTime;

	/**
	 *  创建用户
	 */
	@TableId(value = "create_user")
	private String createUser;

	/**
	 *  更新时间
	 */
	@TableId(value = "update_time")
	private PsDateTime updateTime;

	/**
	 *  更新用户
	 */
	@TableId(value = "update_user")
	private String updateUser;

	/**
	 *  备注
	 */
	@TableId(value = "remark")
	private String remark;

	/**
	 *  排序字段
	 */
	@TableId(value = "order_num")
	private Integer orderNum;
	

}
