package com.persagy.dc.dic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.dc.common.constant.ValidEnum;
import com.persagy.dc.dic.dao.DictTypeMapper;
import com.persagy.dc.dic.entity.DictType;
import com.persagy.dc.dic.service.DictTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 字典类型
 * @author:linhuili
 * @date:2021/6/10
 */
@Service
public class DictTypeServiceImpl implements DictTypeService {

    @Autowired
    private DictTypeMapper dictTypeMapper;

    /**
     * 添加
     * @param dictType
     * @return
     */
    @Override
    public DictType create(DictType dictType) {
        dictType.setValid(ValidEnum.TRUE.getType());
        dictTypeMapper.insert(dictType);
        return dictType;
    }

    /**
     * 修改
     * @param dictType
     * @return
     */
    @Override
    public DictType update(DictType dictType) {
        dictTypeMapper.updateById(dictType);
        return dictType;
    }

    /**
     * 删除
     * @param dictType
     * @return
     */
    @Override
    public DictType delete(DictType dictType) {
        dictType.setValid(ValidEnum.FALSE.getType());
        dictTypeMapper.updateById(dictType);
        return dictType;
    }

    /**
     * 查询
     * @param dictType
     * @return
     */
    @Override
    public List<DictType> query(DictType dictType) {
        LambdaQueryWrapper<DictType> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(DictType::getId,dictType.getId());
        List<DictType> dictTypes = dictTypeMapper.selectList(queryWrapper);
        return dictTypes;
    }
}
